package org.dromara.system.service;

import org.dromara.system.domain.SysUserTenant;
import org.dromara.system.domain.vo.SysUserTenantVo;
import org.dromara.system.domain.bo.SysUserTenantBo;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.common.mybatis.core.page.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 用户账号-租户Service接口
 *
 * @author boman
 * @date 2025-04-09
 */
public interface ISysUserTenantService {

    /**
     * 查询用户账号-租户
     *
     * @param userId 主键
     * @return 用户账号-租户
     */
    SysUserTenantVo queryById(Long userId);

    /**
     * 分页查询用户账号-租户列表
     *
     * @param bo        查询条件
     * @param pageQuery 分页参数
     * @return 用户账号-租户分页列表
     */
    TableDataInfo<SysUserTenantVo> queryPageList(SysUserTenantBo bo, PageQuery pageQuery);

    /**
     * 查询符合条件的用户账号-租户列表
     *
     * @param bo 查询条件
     * @return 用户账号-租户列表
     */
    List<SysUserTenantVo> queryList(SysUserTenantBo bo);

    /**
     * 新增用户账号-租户
     *
     * @param bo 用户账号-租户
     * @return 是否新增成功
     */
    Boolean insertByBo(SysUserTenant bo);

    /**
     * 修改用户账号-租户
     *
     * @param bo 用户账号-租户
     * @return 是否修改成功
     */
    Boolean updateByBo(SysUserTenantBo bo);

    /**
     * 校验并批量删除用户账号-租户信息
     *
     * @param ids     待删除的主键集合
     * @param isValid 是否进行有效性校验
     * @return 是否删除成功
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
